#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Freeware Advanced Audio Codec
Summary(pl.UTF-8):	Freeware Advanced Audio Codec - darmowy zaawansowany kodek dźwięku
Name:		faac
Version:	1.29.9.2
Release:	1
License:	LGPL v2.1+
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.gz
# Source0-md5:	2b58d621fad8fda879f07b7cad8bfe10
URL:		http://www.audiocoding.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dos2unix
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAAC is an ISO/MPEG 2/4 AAC encoder library developed for the Freeware
Advanced Audio Coding project.

%description -l pl.UTF-8
FAAC to biblioteka kodera ISO/MPEG 2/4 AAC stworzona dla projektu
Freeware Advanced Audio Coding (darmowego zaawansowanego kodowania
dźwięku).

%package libs
Summary:	Freeware Advanced Audio Codec library
Summary(pl.UTF-8):	Freeware Advanced Audio Codec - biblioteka darmowego zaawansowanego kodeka dźwięku
Group:		Libraries

%description libs
FAAC is an ISO/MPEG 2/4 AAC encoder library developed for the Freeware
Advanced Audio Coding project.

%description libs -l pl.UTF-8
FAAC to biblioteka kodera ISO/MPEG 2/4 AAC stworzona dla projektu
Freeware Advanced Audio Coding (darmowego zaawansowanego kodowania
dźwięku).

%package devel
Summary:	Header files for faac library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki faac
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for faac library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki faac.

%package static
Summary:	Static faac library
Summary(pl.UTF-8):	Statyczna biblioteka faac
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static faac library.

%description static -l pl.UTF-8
Statyczna biblioteka faac.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/faac
%{_mandir}/man1/faac.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libfaac.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfaac.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfaac.so
%{_libdir}/libfaac.la
%{_includedir}/faac*.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfaac.a
%endif
%changelog
* Mon Mar 12 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/faac.git;a=log;h=master

* Mon Dec 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 79c5832
- updated to 1.29.9.2
- removed outdated link,mp4v2,format-security patches
- now MP4 encoding is provided by custom code instead of using mp4v2

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> eb8e047
- release 3 (by relup.sh)

* Wed Feb 13 2013 Jan Rękorajski <baggins@pld-linux.org> 1e4d6df
- fix building with -Wformat-security
- rel 2

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 1151ea8
- mpeg4ip patch replaced by mp4v2 patch; use system mp4v2

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 25763d4
- added mpeg4ip patch (fixes build of mpeg4ip part)

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> ba23b05
- explicit files

* Thu Apr 02 2009 mis <mis@pld-linux.org> 7d28087
- up to 1.28

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 857319e
- updated to 1.26
- updated link patch

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> e5c4746
- updated for 1.26

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 7ecb607
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d283f37
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e374fd
- converted to UTF-8

* Thu Aug 24 2006 Karol Krenski <charles@pld-linux.org> 62dafd4
- without static_libs bcond

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 9c587fa
- updated to 1.25, updated link patch, removed obsolete force_to_use_without-mp4v2 patch

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 989930e
- really support external mp4v2

* Wed Aug 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 6c61fb1
- obsolete

* Fri Dec 30 2005 Paweł Sikora <pluto@pld-linux.org> f00932d
- release 3 (rel. 2 was for mpeg4ip bootstrap).

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> b15f6dd
- spaces -> tabs

* Sun Apr 25 2004 Jakub Bogusz <qboosh@pld-linux.org> dee1d8d
- bcond name unification (with faad2.spec), better bcond desc

* Sat Apr 24 2004 twittner <twittner@pld-linux.org> 32ca706
- added bcond --without mp4v2 intended for bootstrap'
- added --without-mp4v2 to configure in exchange for autodetection of mp4
  library.
- rel. 2

